Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
productlist.php File Reference

Go to the source code of this file.

## Variables
if( $CategoryID !=0) | $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $Limit = $ini->variable( "eZTradeMain", "ProductLimit" )
| $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $RequireUserLogin = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "true"
| $PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false
| $CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" )
| $ThumbnailImageWidth = $ini->variable( "eZTradeMain", "ThumbnailImageWidth" )
| $ThumbnailImageHeight = $ini->variable( "eZTradeMain", "ThumbnailImageHeight" )
| $ShowPrice = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $SimpleOptionHeaders = $ini->variable( "eZTradeMain", "SimpleOptionHeaders" ) == "true"
| $ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"
| $RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"
| $t
| $category = new eZProductCategory()
| $pathArray = $category->path()
foreach( $pathArray as $path) | $categoryList =& $category->getByParent( $category )
| $user =& eZUser::currentUser()
| $i = 0
foreach( $categoryList as $categoryItem) if(count( $categoryList)==0) | else
| $TotalTypes =& $category->productCount( $category->sortMode(), false )
| $productList =& $category->activeProducts( $category->sortMode(), $Offset, $Limit, $category->id() )
| $locale = new eZLocale( $Language )

## Variable Documentation

## ◆ $CapitalizeHeadlines

$CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" )

Definition at line 62 of file productlist.php.

## ◆ $category

$category = new eZProductCategory()

Definition at line 125 of file productlist.php.

## ◆ $categoryList

foreach ($pathArray as $path) $categoryList =& $category->getByParent( $category )

Definition at line 142 of file productlist.php.

## ◆ $i

$i = 0

Definition at line 147 of file productlist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 54 of file productlist.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 56 of file productlist.php.

## ◆ $Limit

$Limit = $ini->variable( "eZTradeMain", "ProductLimit" )

Definition at line 57 of file productlist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 200 of file productlist.php.

## ◆ $pathArray

$pathArray = $category->path()

Definition at line 129 of file productlist.php.

## ◆ $PricesIncludeVAT

$PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false

Definition at line 60 of file productlist.php.

## ◆ $productList

$productList =& $category->activeProducts( $category->sortMode(), $Offset, $Limit, $category->id() )

Definition at line 198 of file productlist.php.

## ◆ $RequireQuantity

$RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"

Definition at line 71 of file productlist.php.

## ◆ $RequireUserLogin

$RequireUserLogin = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "true"

Definition at line 59 of file productlist.php.

## ◆ $sectionObject

if ($CategoryID !=0) $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )

Definition at line 50 of file productlist.php.

## ◆ $ShowOptionQuantity

$ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"

Definition at line 70 of file productlist.php.

## ◆ $ShowPrice

$ShowPrice = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 67 of file productlist.php.

## ◆ $ShowPriceGroups

$ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 58 of file productlist.php.

## ◆ $SimpleOptionHeaders

$SimpleOptionHeaders = $ini->variable( "eZTradeMain", "SimpleOptionHeaders" ) == "true"

Definition at line 69 of file productlist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
"kernel/eztrade/user/intl/", $Language, "productlist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: productlist.php:56
$ini
$ini
Definition: productlist.php:54

Definition at line 74 of file productlist.php.

## ◆ $ThumbnailImageHeight

$ThumbnailImageHeight = $ini->variable( "eZTradeMain", "ThumbnailImageHeight" )

Definition at line 65 of file productlist.php.

## ◆ $ThumbnailImageWidth

$ThumbnailImageWidth = $ini->variable( "eZTradeMain", "ThumbnailImageWidth" )

Definition at line 64 of file productlist.php.

## ◆ $TotalTypes

$TotalTypes =& $category->productCount( $category->sortMode(), false )

Definition at line 197 of file productlist.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 144 of file productlist.php.

## ◆ else

if (isset($GenerateStaticPage) &&$GenerateStaticPage=="true") else

Initial value:
{
$t->parse( "category_list", "category_list_tpl" )
$t
$t
Definition: productlist.php:74

Definition at line 186 of file productlist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.